diff --git mythtv/i18n/mythfrontend_es_es.ts mythtv/i18n/mythfrontend_es_es.ts
index 3931ca6..8c50117 100644
--- mythtv/i18n/mythfrontend_es_es.ts
+++ mythtv/i18n/mythfrontend_es_es.ts
@@ -26280,65 +26287,65 @@ If you select &quot;Use Default Player,&quot; the player command set for the ext
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2342"/>
         <source>Mark as Unwatched</source>
-        <translation>Marcar como no visto</translation>
+        <translation>Marcar como No Visto</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2344"/>
         <source>Mark as Watched</source>
-        <translation>Marcar como visto</translation>
+        <translation>Marcar como Visto</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2345"/>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2572"/>
         <source>Video Info</source>
-        <translation>Información del video</translation>
+        <translation>Información del Vídeo</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2346"/>
         <source>Change Video Details</source>
-        <translation>Cambiar Detalles Vídeo</translation>
+        <translation>Cambiar Detalles del Vídeo</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2350"/>
         <source>Delete</source>
-        <translation>Borrar</translation>
+        <translation>Eliminar</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2354"/>
         <source>Play Folder</source>
-        <translation>Reproducir directorio</translation>
+        <translation>Reproducir Carpeta</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2376"/>
         <source>Playback Options
 %1</source>
-        <translation>Opciones de reproducción
+        <translation>Opciones de Reproducción
 %1</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2386"/>
         <source>Play in Alternate Player</source>
-        <translation>Reproducir en un reproductor alternativo</translation>
+        <translation>Usar un Reproductor Alternativo</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2391"/>
         <source>Play With Trailers</source>
-        <translation>Reproducir con Trailers</translation>
+        <translation>Reproducir Con Trailers</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2398"/>
         <source>Play Trailer</source>
-        <translation>Reproducir trailer</translation>
+        <translation>Reproducir Trailer</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2410"/>
         <source>Video Display Menu</source>
-        <translation type="unfinished"></translation>
+        <translation>Menú de Presentación de Vídeos</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2414"/>
         <source>Scan For Changes</source>
-        <translation>Buscar cambios</translation>
+        <translation>Buscar Cambios</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2415"/>
@@ -26348,83 +26355,83 @@ If you select &quot;Use Default Player,&quot; the player command set for the ext
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2416"/>
         <source>Filter Display</source>
-        <translation>Filtro de visualización</translation>
+        <translation>Mostrar Filtros</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2417"/>
         <source>Browse By...</source>
-        <translation>Buscar por...</translation>
+        <translation>Buscar Por...</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2418"/>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2435"/>
         <source>Change View</source>
-        <translation>Cambiar vista</translation>
+        <translation>Cambiar Vista</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2452"/>
         <source>Disable File Browse Mode</source>
-        <translation type="unfinished"></translation>
+        <translation>Desactivar Modo de Exploración de Archivos</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2454"/>
         <source>Enable File Browse Mode</source>
-        <translation type="unfinished"></translation>
+        <translation>Activar Modo de Exploración de Archivos</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2457"/>
         <source>Disable Flat View</source>
-        <translation type="unfinished"></translation>
+        <translation>Desactivar Vista Plana</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2459"/>
         <source>Enable Flat View</source>
-        <translation type="unfinished"></translation>
+        <translation>Activar Vista Plana</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2419"/>
         <source>Settings</source>
-        <translation>Opciones</translation>
+        <translation>Configuración</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2440"/>
         <source>Switch to Browse View</source>
-        <translation>Cambiar a Vista Navegador</translation>
+        <translation>Cambiar a Vista de Exploración</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2443"/>
         <source>Switch to Gallery View</source>
-        <translation>Cambiar a Vista Galería</translation>
+        <translation>Cambiar a Vista de Galería</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2446"/>
         <source>Switch to List View</source>
-        <translation>Cambiar a Vista Lista</translation>
+        <translation>Cambiar a Vista de Lista</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2449"/>
         <source>Switch to Manage View</source>
-        <translation type="unfinished"></translation>
+        <translation>Cambiar a Vista de Gestión</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2470"/>
         <source>Video Settings</source>
-        <translation>Opciones de Vídeo</translation>
+        <translation>Configuración de Vídeos</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2474"/>
         <source>Player Settings</source>
-        <translation>Opciones Reproductor</translation>
+        <translation>Configuración del Reproductor</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2475"/>
         <source>Metadata Settings</source>
-        <translation>Opciones Metadatos</translation>
+        <translation>Configuración de Metadatos</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2476"/>
         <source>File Type Settings</source>
-        <translation type="unfinished"></translation>
+        <translation>Configuración de Tipos de Archivo</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2529"/>
@@ -26444,7 +26451,7 @@ If you select &quot;Use Default Player,&quot; the player command set for the ext
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2540"/>
         <source>Date Added</source>
-        <translation>Fecha en que se agregó</translation>
+        <translation>Fecha de Adición</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2543"/>
@@ -26459,7 +26466,7 @@ If you select &quot;Use Default Player,&quot; the player command set for the ext
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2549"/>
         <source>Folder</source>
-        <translation>Directorio</translation>
+        <translation>Carpeta</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2552"/>
@@ -26474,7 +26481,7 @@ If you select &quot;Use Default Player,&quot; the player command set for the ext
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2558"/>
         <source>User Rating</source>
-        <translation>Puntuación del usuario</translation>
+        <translation>Puntuación del Usuario</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2561"/>
@@ -26512,7 +26519,7 @@ If you select &quot;Use Default Player,&quot; the player command set for the ext
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2599"/>
         <source>Manage Video Details</source>
-        <translation type="unfinished"></translation>
+        <translation>Gestionar Detalles del Vídeo</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2605"/>
@@ -26541,7 +26548,7 @@ If you select &quot;Use Default Player,&quot; the player command set for the ext
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2611"/>
         <source>Reset Details</source>
-        <translation type="unfinished">Reiniciar Detalles</translation>
+        <translation>Reiniciar Detalles</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2848"/>
@@ -26551,7 +26558,7 @@ If you select &quot;Use Default Player,&quot; the player command set for the ext
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="2921"/>
         <source>No browser command set! MythVideo needs MythBrowser installed to display the homepage.</source>
-        <translation type="unfinished"></translation>
+        <translation>¡No tiene configurado ningún navegador! MythTV necesita que MythBrowser esté instalado para mostrar la página web.</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="3322"/>
@@ -26571,13 +26578,13 @@ If you select &quot;Use Default Player,&quot; the player command set for the ext
         <location filename="../programs/mythfrontend/videodlg.cpp" line="3426"/>
         <source>Are you sure you want to delete:
 %1</source>
-        <translation>Esta usted seguro que quiere borrar:
+        <translation>¿Seguro que desea eliminar:
 %1</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/videodlg.cpp" line="3464"/>
         <source>Failed to delete file</source>
-        <translation>No se puedo borrar el archivo</translation>
+        <translation>Fallo al eliminar el archivo</translation>
     </message>
     <message>
         <source>No Videos Available</source>
@@ -26643,16 +26650,15 @@ If you select &quot;Use Default Player,&quot; the player command set for the ext
     <message numerus="yes">
         <location filename="../programs/mythfrontend/videofilter.cpp" line="637"/>
         <source>Result of this filter : %n video(s)</source>
-        <translatorcomment>*** IMPORTANT *** Spanish translators, please verify. thank you! knight</translatorcomment>
         <translation>
-            <numerusform>Resultado para este filtro : %n vídeo</numerusform>
-            <numerusform>Resultado para este filtro : %n vídeos</numerusform>
+            <numerusform>Resultado de este filtro : %n vídeo</numerusform>
+            <numerusform>Resultado de este filtro : %n vídeos</numerusform>
         </translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/videofilter.cpp" line="643"/>
         <source>Result of this filter : No Videos</source>
-        <translation>Resultado de este filtro: Ninguno</translation>
+        <translation>Resultado de este filtro: Ningún Vídeo</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/videofilter.cpp" line="758"/>
@@ -26681,63 +26687,64 @@ If you select &quot;Use Default Player,&quot; the player command set for the ext
     <message>
         <location filename="../programs/mythfrontend/setupwizard_video.cpp" line="70"/>
         <source>Select from one of the preconfigured playback profiles.  When satisfied, you can test Standard Definition and High Definition playback with your choice before moving on.</source>
-        <translation type="unfinished"></translation>
+        <translation>Seleccione uno de los perfiles de reproducción preconfigurados.  Cuando esté satisfecho, podrá probar la reproducción en Definición Estándar y Alta Definición antes de continuar.</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/setupwizard_video.cpp" line="75"/>
         <source>Test your playback settings with Standard definition content. (480p)</source>
-        <translation type="unfinished"></translation>
+        <translation>Probar su configuración de reproducción con contenido en definición Estándar (480p)</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/setupwizard_video.cpp" line="77"/>
         <source>Test your playback settings with High definition content (1080p).</source>
-        <translation type="unfinished"></translation>
+        <translation>Probar su configuración de reproducción con contenido en Alta definición (1080p).</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/setupwizard_video.cpp" line="79"/>
         <source>Save these changes and move on to the next configuration step.</source>
-        <translation type="unfinished">Guardar estos cambios e ir al siguiente paso de la configuración.</translation>
+        <translation>Guardar estos cambios e ir al siguiente paso de la configuración.</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/setupwizard_video.cpp" line="81"/>
         <source>Return to the previous configuration step.</source>
-        <translation type="unfinished">Volver al paso anterior de la configuración.</translation>
+        <translation>Volver al paso anterior de la configuración.</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/setupwizard_video.cpp" line="184"/>
         <source>A short test of your system&apos;s playback of Standard Definition content with the %1 profile.</source>
-        <translation type="unfinished"></translation>
+        <translation>Breve prueba de su sistema al reproducir contenido en Definición Estándar con el perfil %1.</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/setupwizard_video.cpp" line="187"/>
         <source>Standard Definition Playback Test</source>
-        <translation type="unfinished"></translation>
+        <translation>Prueba de Reproducción en Definición Estándar</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/setupwizard_video.cpp" line="205"/>
         <source>A short test of your system&apos;s playback of High Definition content with the %1 profile.</source>
-        <translation type="unfinished"></translation>
+        <translation>Breve prueba de su sistema al reproducir contenido en Alta Definición con el perfil %1.</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/setupwizard_video.cpp" line="208"/>
         <source>High Definition Playback Test</source>
-        <translation type="unfinished"></translation>
+        <translation>Prueba de Reproducción en Alta Definición</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/setupwizard_video.cpp" line="238"/>
         <source>Downloading Video Sample...</source>
-        <translation type="unfinished"></translation>
+        <translation>Descargando Muestra de Vídeo...</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/setupwizard_video.cpp" line="272"/>
         <source>Downloading Video Sample...
 (%1 of %2 MB)</source>
-        <translation type="unfinished"></translation>
+        <translation>Descargando Muestra de Vídeo...
+(%1 de %2 MB)</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/setupwizard_video.cpp" line="301"/>
         <source>Error downloading sample to backend.</source>
-        <translation type="unfinished"></translation>
+        <translation>Error al descargar la muestra al servidor.</translation>
     </message>
 </context>
 <context>
@@ -26745,12 +26752,12 @@ If you select &quot;Use Default Player,&quot; the player command set for the ext
     <message>
         <location filename="../libs/libmythtv/videosource.cpp" line="3240"/>
         <source>Video sources</source>
-        <translation>Fuentes de Video</translation>
+        <translation>Fuentes de vídeo</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/videosource.cpp" line="3282"/>
         <source>Video Source Menu</source>
-        <translation>Menú de fuentes de Video</translation>
+        <translation>Menú de Fuentes de Vídeo</translation>
     </message>
     <message>
         <source>Edit..</source>
@@ -26763,18 +26770,18 @@ If you select &quot;Use Default Player,&quot; the player command set for the ext
     <message>
         <location filename="../libs/libmythtv/videosource.cpp" line="3325"/>
         <source>Are you sure you want to delete this video source?</source>
-        <translation>¿Está seguro de borrar esta fuente de video?</translation>
+        <translation>¿Seguro que desea eliminar esta fuente de vídeo?</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/videosource.cpp" line="3327"/>
         <source>Yes, delete video source</source>
-        <translation>Sí, borrar fuente de video</translation>
+        <translation>Sí, eliminar la fuente de vídeo</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/videosource.cpp" line="3304"/>
         <location filename="../libs/libmythtv/videosource.cpp" line="3328"/>
         <source>No, don&apos;t</source>
-        <translation>No</translation>
+        <translation>No, no eliminarla</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/videosource.cpp" line="3283"/>
@@ -26784,17 +26791,17 @@ If you select &quot;Use Default Player,&quot; the player command set for the ext
     <message>
         <location filename="../libs/libmythtv/videosource.cpp" line="3284"/>
         <source>Delete...</source>
-        <translation>Borrar...</translation>
+        <translation>Eliminar...</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/videosource.cpp" line="3301"/>
         <source>Are you sure you want to delete ALL video sources?</source>
-        <translation>¿Está seguro de borrar TODAS las fuentes de video?</translation>
+        <translation>¿Seguro que desea eliminar TODAS las fuentes de vídeo?</translation>
     </message>
     <message>
         <location filename="../libs/libmythtv/videosource.cpp" line="3303"/>
         <source>Yes, delete video sources</source>
-        <translation>Sí, borrar las fuentes de video</translation>
+        <translation>Sí, eliminar las fuentes de vídeo</translation>
     </message>
 </context>
 <context>
@@ -26802,7 +26809,7 @@ If you select &quot;Use Default Player,&quot; the player command set for the ext
     <message>
         <location filename="../libs/libmythtv/videosource.cpp" line="69"/>
         <source>Video Source</source>
-        <translation>Fuente de video</translation>
+        <translation>Fuente de Vídeo</translation>
     </message>
 </context>
 <context>
@@ -26829,23 +26836,23 @@ If you select &quot;Use Default Player,&quot; the player command set for the ext
     <message>
         <location filename="../programs/mythfrontend/viewscheduled.cpp" line="481"/>
         <source>No Conflicts</source>
-        <translation>Sin conflictos</translation>
+        <translation>No Hay Conflictos</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/viewscheduled.cpp" line="317"/>
         <location filename="../programs/mythfrontend/viewscheduled.cpp" line="488"/>
         <source>All</source>
-        <translation>Todos</translation>
+        <translation>Todas</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/viewscheduled.cpp" line="89"/>
         <source>Scheduled Recordings</source>
-        <translation>Grabaciones programadas</translation>
+        <translation>Grabaciones Programadas</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/viewscheduled.cpp" line="99"/>
         <source>Group List</source>
-        <translation>Listado de Grupo</translation>
+        <translation>Lista de Grupos</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/viewscheduled.cpp" line="200"/>
@@ -26862,7 +26869,7 @@ If you select &quot;Use Default Player,&quot; the player command set for the ext
         <location filename="../programs/mythfrontend/viewscheduled.cpp" line="213"/>
         <location filename="../programs/mythfrontend/viewscheduled.cpp" line="724"/>
         <source>Show All</source>
-        <translation>Mostrar Todos</translation>
+        <translation>Mostrar Todas</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/viewscheduled.cpp" line="214"/>
@@ -26874,13 +26881,13 @@ If you select &quot;Use Default Player,&quot; the player command set for the ext
         <location filename="../programs/mythfrontend/viewscheduled.cpp" line="215"/>
         <location filename="../programs/mythfrontend/viewscheduled.cpp" line="732"/>
         <source>Upcoming by title</source>
-        <translation type="unfinished"></translation>
+        <translation>Próximas por Título</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/viewscheduled.cpp" line="216"/>
         <location filename="../programs/mythfrontend/viewscheduled.cpp" line="736"/>
         <source>Upcoming scheduled</source>
-        <translation type="unfinished"></translation>
+        <translation>Próximas programadas</translation>
     </message>
     <message>
         <source>Upcoming</source>
@@ -26896,7 +26903,7 @@ If you select &quot;Use Default Player,&quot; the player command set for the ext
         <location filename="../programs/mythfrontend/viewscheduled.cpp" line="218"/>
         <location filename="../programs/mythfrontend/viewscheduled.cpp" line="744"/>
         <source>Delete Rule</source>
-        <translation>Borrar Reglas</translation>
+        <translation>Eliminar Regla</translation>
     </message>
     <message>
         <location filename="../programs/mythfrontend/viewscheduled.cpp" line="219"/>
@@ -26923,7 +26930,7 @@ If you select &quot;Use Default Player,&quot; the player command set for the ext
     <message>
         <location filename="../programs/mythfrontend/viewscheduled.cpp" line="559"/>
         <source>Delete &apos;%1&apos; %2 rule?</source>
-        <translation>Borrar &apos;%1&apos; &apos;%2&apos; regla?</translation>
+        <translation>¿Eliminar la regla &apos;%1&apos; &apos;%2&apos;?</translation>
     </message>
     <message>
         <source>Conflict Today</source>
@@ -26940,18 +26947,18 @@ If you select &quot;Use Default Player,&quot; the player command set for the ext
     <message>
         <location filename="../programs/mythwelcome/welcomedialog.cpp" line="91"/>
         <source>Start Frontend</source>
-        <translation>Arrancar Frontend</translation>
+        <translation>Iniciar Cliente</translation>
     </message>
     <message>
         <location filename="../programs/mythwelcome/welcomedialog.cpp" line="342"/>
         <location filename="../programs/mythwelcome/welcomedialog.cpp" line="343"/>
         <source>Cannot connect to server!</source>
-        <translation>¡Imposible conectar al servidor!</translation>
+        <translation>¡No fue posible conectar con el servidor!</translation>
     </message>
     <message>
         <location filename="../programs/mythwelcome/welcomedialog.cpp" line="379"/>
         <source>There are no recordings currently taking place</source>
-        <translation>No hay grabaciones actualmente</translation>
+        <translation>Ahora no hay grabaciones en ejecución</translation>
     </message>
     <message>
         <location filename="../programs/mythwelcome/welcomedialog.cpp" line="411"/>
@@ -26975,7 +26982,7 @@ If you select &quot;Use Default Player,&quot; the player command set for the ext
     <message>
         <location filename="../programs/mythwelcome/welcomedialog.cpp" line="546"/>
         <source>MythTV is busy transcoding.</source>
-        <translation>MythTV está ocupado recodificando.</translation>
+        <translation>MythTV está ocupado transcodificando.</translation>
     </message>
     <message>
         <location filename="../programs/mythwelcome/welcomedialog.cpp" line="548"/>
@@ -26985,7 +26992,7 @@ If you select &quot;Use Default Player,&quot; the player command set for the ext
     <message>
         <location filename="../programs/mythwelcome/welcomedialog.cpp" line="550"/>
         <source>MythTV is busy grabbing EPG data.</source>
-        <translation>MythTV está ocupado descargando datos GEP.</translation>
+        <translation>MythTV está ocupado descargando datos de la GEP.</translation>
     </message>
     <message>
         <location filename="../programs/mythwelcome/welcomedialog.cpp" line="552"/>
@@ -27000,15 +27007,14 @@ If you select &quot;Use Default Player,&quot; the player command set for the ext
     <message>
         <location filename="../programs/mythwelcome/welcomedialog.cpp" line="558"/>
         <source>MythTV is about to start a wakeup/shutdown period.</source>
-        <translation>MythTV está comenzando un periodo de arranque/apagado.</translation>
+        <translation>MythTV va a comenzar un periodo de arranque/apagado.</translation>
     </message>
     <message numerus="yes">
         <location filename="../programs/mythwelcome/welcomedialog.cpp" line="564"/>
         <source>MythTV is idle and will shutdown in %n second(s).</source>
-        <translatorcomment>*** IMPORTANT *** Spanish translators, please verify. thank you, knight</translatorcomment>
         <translation>
-            <numerusform>MythTV está desocupado y se apagará en %n segundo(s).</numerusform>
-            <numerusform>MythTV está desocupado y se apagará en %n segundo(s).</numerusform>
+            <numerusform>MythTV está desocupado y se apagará en %n segundo.</numerusform>
+            <numerusform>MythTV está desocupado y se apagará en %n segundos.</numerusform>
         </translation>
     </message>
     <message>
@@ -27049,17 +27055,17 @@ If you select &quot;Use Default Player,&quot; the player command set for the ext
     <message>
         <location filename="../programs/mythwelcome/welcomedialog.cpp" line="667"/>
         <source>Cannot shutdown because MythTV is currently recording</source>
-        <translation>No se puede apagar porque MythTV está grabando</translation>
+        <translation>No es posible apagar ahora porque MythTV está grabando</translation>
     </message>
     <message>
         <location filename="../programs/mythwelcome/welcomedialog.cpp" line="678"/>
         <source>Cannot shutdown because MythTV is about to start recording</source>
-        <translation>No se puede apagar porque MythTV está empezando a grabar</translation>
+        <translation>No es posible apagar ahora porque MythTV va a comenzar a grabar</translation>
     </message>
     <message>
         <location filename="../programs/mythwelcome/welcomedialog.cpp" line="689"/>
         <source>Cannot shutdown because MythTV is about to start a wakeup/shutdown period.</source>
-        <translation>No se puede apagar porque MythTV está comenzando a apagarse/encenderse.</translation>
+        <translation>No es posible apagar ahora porque MythTV va a comenzar un periodo de arranque/apagado.</translation>
     </message>
     <message>
         <source>MythTV is idle and will shutdown in %1 seconds.</source>
@@ -27068,17 +27074,17 @@ If you select &quot;Use Default Player,&quot; the player command set for the ext
     <message>
         <location filename="../programs/mythwelcome/welcomedialog.cpp" line="365"/>
         <source>to</source>
-        <translation>para</translation>
+        <translation>a</translation>
     </message>
     <message>
         <location filename="../programs/mythwelcome/welcomedialog.cpp" line="418"/>
         <source>Please Wait...</source>
-        <translation>Por favor espere...</translation>
+        <translation>Por Favor, Espere...</translation>
     </message>
     <message>
         <location filename="../programs/mythwelcome/welcomedialog.cpp" line="554"/>
         <source>MythTV has running or pending jobs.</source>
-        <translation>MythTV tiene trabajos en ejecución o pendientes.</translation>
+        <translation>MythTV tiene tareas en ejecución o pendientes.</translation>
     </message>
 </context>
 <context>
@@ -27091,7 +27097,7 @@ If you select &quot;Use Default Player,&quot; the player command set for the ext
     <message>
         <location filename="../libs/libmythtv/videosource.cpp" line="443"/>
         <source>Run XMLTV configure command.</source>
-        <translation>Ejecutar comando de configuración de xmltv.</translation>
+        <translation>Ejecutar orden de configuración de XMLTV.</translation>
     </message>
     <message>
         <source>Run xmltv configure command.</source>
